.b-element_code {
    background-color: color(code-bg);
    color: color(code-color);
    border-radius: 6px;
    padding: 10px 20px;
    margin-bottom: 10px;
    position: relative;

    &-pre {
        overflow: hidden;
    }

    &-xmp {
        white-space: break-spaces;
    }

    &-code {
        white-space: break-spaces;
    }

    &-textarea {
        background-color: color(code-bg);
        border: none;
        width: 100%;
        overflow: hidden;
        resize: none;
    }

    &-copy {
        @include font(thin, 12px, 1.25);

        position: absolute; 
        right: 10px;
        top: 10px;
        background-color: color(link);
        padding: 3px 5px;
        border-radius: 2px;
        text-decoration: none;
        color: color(white-1);
        
        &:hover,
        &:visited:hover,
        &:visited {
            color: color(white-1);
        }
    }
}

.b-notice {
    @include pos-block(80%, 50%, $type: center-xy);

    position: fixed; 
    background: color(white-1); 
    color: color(black-1);
    padding: 20px;
    border-radius: 5px;
}
